Query Return Fulfillment
GET https://{handle}.myshopline.com/admin/openapi/v20261201/return_package.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Query return shipment order
Query Parameters
- id stringReturn invoice idExample:
RPP5873267430525507606 - return_id string requiredReturn idExample:
2605873267426331203599 - reverse_fulfillment_seq stringReturn item order idExample:
RFP5873267430307403795
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
return_packagesobject[]
Return invoicetracking_informationobject
Logistics informationtracking_company stringLogistics company nameExample:5345345345tracking_number stringThird party tracking numberExample:DHL Express (Piece ID)tracking_url stringLogistics tracking URLExample:http://www.dhl.com/id stringReturn invoice unique business idExample:RPP5873267430525507605return_id stringAssociated return idExample:2605873267426331203599reverse_delivery_line_itemsobject[]
Return invoice Product line informationid stringReturn invoice Product line numberExample:123quantity integerReturn invoice Product quantityExample:1return_reason stringThe return reasons for the product line: COLOR(Incorrect color), DEFECTIVE(Product is damaged or defective), NOT_AS_DESCRIBED(Product does not match the description), OTHER(Other reasons), SIZE_TOO_LARGE(Size is too large), SIZE_TOO_SMALL(Size is too small), STYLE(Issues with the style), UNWANTED(Customer changed their mind), WRONG_ITEM(Received the wrong item)Example:NOT_AS_DESCRIBEDreturn_reason_note stringProduct line return reason detailed notes, maximum 128 characters supportedExample:Product does not match the descriptionreverse_fulfillment_order_line_itemobject
Return shipping list Product line information node associated with return invoiceline_itemobject
Fahuodan line information associated with invoicevariant_title stringProduct attribute value , multiple divided by " / "Example:L/Red2taxable booleanProduct incl . : false、trueExample:truefulfillable_quantity integerRemaining Product number of requiredExample:1grams doubleProduct weight ( grams )Example:1quantity integerProduct quantityExample:1product_id stringSpu serial number , Product unique identification numberExample:16056898121352174690861487price stringProduct selling price , Product detail page sale priceExample:100.0attribute stringProduct attribute information : name-attribute value , multiple attribute values are measured commaExample:Color-red , size-xtitle stringGpu Product titleExample:It's good Productrequires_shipping booleanProduct need to be shipped : false、trueExample:truevariant_id stringProduct SKU serial numberExample:18056898121355865678441487name stringSKU title, same as titleExample:It's good Productimage_url stringProduct link urlExample:https://image.shopline.com/abc.jpggift_card booleanWei for gift cards or not : false、trueExample:truefulfillment_service stringLogistics company nameExample:Sf internationalvendor stringProduct supplierExample:product supplierpropertiesobject[]
Product customization informationtype stringCustom information type : text、picture、link 1 ) when type is text , take name and value ;2 ) when type is picture , the display type is name , and the details of the thumb of urls to obtain Product 3 ) when type is link , support click urls to use the picture .Example:texturls arrayAddress link informationExample:["https://image.shopline.com"]value stringCustomized information contentExample:Freedomname stringCustom information objectExample:Textfulfillment_status stringProduct delivery status : fulfilled- shipped ; partial- partially shipped ; null- not shippedExample:fulfilledtags stringProduct tag , separated by ',' when there are multipleExample:salesid stringProduct row idExample:405sku stringMerchant custom numberExample:SKU1234quantity integerAssociated return units approximately Product line quantityExample:2reverse_fulfillment_seq stringRelated return item order numberExample:RFP5873267430307403795
API Explorer
Debugger
Was this article helpful to you?